Tesi master theses
Devoto fabrication partner
CNC: real experiences | case studies
Acoustics projects | form | analisys
Custom Families Revit
Data Production model to data
Visual Basic scripting for Revit
Barrisol project for a conferece hall
A completamento della descrizione iniziata nei post precedenti, ecco lo script di montaggio. Funziona anche con la famiglia già allegata (da rinominare analogamente al file da caricare, o viceversa) ed è solamente una semplificazione della macro messa a disposizione dai professori.
Imports System
Imports Autodesk
Imports Autodesk.Revit
Imports Autodesk.Revit.Elements
<CLSCompliant(False)> _
Partial Class ThisDocument
Private Sub ThisDocument_Startup(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Startup
End Sub
Private Sub ThisDocument_Shutdown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shutdown
End Sub
Public Sub lamp()
Dim fullPath As String = "provaestrema.rfa"
If (Not LoadFamily(fullPath)) Then
MsgBox("Loaded a family nono")
Return
End If
Dim fs As Symbols.FamilySymbol = Nothing
If (Not LoadFamilySymbol("provaestrema.rfa", "provaestrema", fs)) Then
MsgBox("Non riesco a caricare il family symbol. riprova")
Return
End If
Dim i As Integer
For i = 0 To 36
Dim fi As FamilyInstance
Dim p2 As Geometry.XYZ = Application.Create.NewXYZ(0.0, 0.0, 0.0)
fi = Create.NewFamilyInstance(p2, fs, Structural.Enums.StructuralType.NonStuctural)
Dim param As Parameter = fi.ParametersMap("passo")
param.Set(i + 1)
Next
End Sub
End Class
commenti
Alessandra Fasoli
5 Febbraio, 2009 - 21:17
Collegamento permanente
giusto per....
farti i miei comlimenti perché mi piace un casino!!!!Appena ho un po' di tempo mi studio bene il codice!Bravo cmq...trovo che il tuo progetto abbia delle ottime potenzialità!AF
StefanoConverso
14 Febbraio, 2009 - 20:13
Collegamento permanente
A suggestion for the component shaping
Dear Stefano,
we said last time that you should focus now on the geometry of your component.
So I am sending you just a suggestion, based on a small wood game.. the Big Bang
here is the assembling:
First step ... (Italian captions!)
Waiting for your component!
a presto,
Stefano